Index: src/main/java/com/example/moviezone/repository/CategoryRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CategoryRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CategoryRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -6,4 +6,4 @@
 
 
-public class CategoryRepository {
+public interface CategoryRepository extends JpaRepository<Category,Integer>{
 }
Index: src/main/java/com/example/moviezone/repository/CinemaOrganizesEventRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CinemaOrganizesEventRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CinemaOrganizesEventRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class CinemaOrganizesEventRepository {
+import com.example.moviezone.model.manytomany.CinemaOrganizesEvent;
+import com.example.moviezone.model.manytomany.CinemaOrganizesEventId;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface CinemaOrganizesEventRepository extends JpaRepository<CinemaOrganizesEvent, CinemaOrganizesEventId> {
 }
Index: src/main/java/com/example/moviezone/repository/CinemaPlaysFilmRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CinemaPlaysFilmRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CinemaPlaysFilmRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class CinemaPlaysFilmRepository {
+import com.example.moviezone.model.manytomany.CinemaPlaysFilm;
+import com.example.moviezone.model.manytomany.CinemaPlaysFilmId;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface CinemaPlaysFilmRepository extends JpaRepository<CinemaPlaysFilm, CinemaPlaysFilmId> {
 }
Index: src/main/java/com/example/moviezone/repository/CinemaRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CinemaRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CinemaRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,9 @@
 package com.example.moviezone.repository;
 
-public class CinemaRepository {
+import com.example.moviezone.model.Cinema;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+
+
+public interface CinemaRepository extends JpaRepository<Cinema,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/CustomerIsInterestedInEventRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CustomerIsInterestedInEventRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CustomerIsInterestedInEventRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class CustomerIsInterestedInEventRepository {
+import com.example.moviezone.model.manytomany.CustomerIsInterestedInEvent;
+import com.example.moviezone.model.manytomany.CustomerIsInterestedInEventId;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface CustomerIsInterestedInEventRepository extends JpaRepository<CustomerIsInterestedInEvent, CustomerIsInterestedInEventId> {
 }
Index: src/main/java/com/example/moviezone/repository/CustomerRatesFilmRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CustomerRatesFilmRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CustomerRatesFilmRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class CustomerRatesFilmRepository {
+import com.example.moviezone.model.manytomany.CustomerRatesFilm;
+import com.example.moviezone.model.manytomany.CustomerRatesFilmId;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface CustomerRatesFilmRepository extends JpaRepository<CustomerRatesFilm, CustomerRatesFilmId> {
 }
Index: src/main/java/com/example/moviezone/repository/CustomerRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/CustomerRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/CustomerRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class CustomerRepository {
+import com.example.moviezone.model.Customer;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface CustomerRepository extends JpaRepository<Customer,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/DiscountRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/DiscountRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/DiscountRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class DiscountRepository {
+import com.example.moviezone.model.Discount;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface DiscountRepository extends JpaRepository<Discount,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/EventRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/EventRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/EventRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class EventRepository {
+import com.example.moviezone.model.Event;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface EventRepository extends JpaRepository<Event,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/FilmRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/FilmRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/FilmRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class FilmRepository {
+import com.example.moviezone.model.Film;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface FilmRepository extends JpaRepository<Film,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/ProjectionIsPlayedInRoomRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class ProjectionIsPlayedInRoomRepository {
+import com.example.moviezone.model.manytomany.ProjectionIsPlayedInRoom;
+import com.example.moviezone.model.manytomany.ProjectionIsPlayedInRoomId;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface ProjectionIsPlayedInRoomRepository extends JpaRepository<ProjectionIsPlayedInRoom, ProjectionIsPlayedInRoomId> {
 }
Index: src/main/java/com/example/moviezone/repository/ProjectionRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/ProjectionRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/ProjectionRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class ProjectionRepository {
+import com.example.moviezone.model.Projection;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface ProjectionRepository extends JpaRepository<Projection,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/Projection_RoomRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/Projection_RoomRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/Projection_RoomRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class Projection_RoomRepository {
+import com.example.moviezone.model.Projection;
+import com.example.moviezone.model.Projection_Room;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface Projection_RoomRepository extends JpaRepository<Projection_Room,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/SalaryRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/SalaryRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/SalaryRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class SalaryRepository {
+import com.example.moviezone.model.Salary;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface SalaryRepository extends JpaRepository<Salary,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/SeatRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/SeatRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/SeatRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class SeatRepository {
+import com.example.moviezone.model.Seat;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface SeatRepository extends JpaRepository<Seat,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/TicketRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/TicketRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/TicketRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class TicketRepository {
+import com.example.moviezone.model.Ticket;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface TicketRepository extends JpaRepository<Ticket,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/UserRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/UserRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/UserRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class UserRepository {
+
+import com.example.moviezone.model.User;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface UserRepository extends JpaRepository<User,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/Work_Hours_WeeklyRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/Work_Hours_WeeklyRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/Work_Hours_WeeklyRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,8 @@
 package com.example.moviezone.repository;
 
-public class Work_Hours_WeeklyRepository {
+
+import com.example.moviezone.model.Work_Hours_Weekly;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface Work_Hours_WeeklyRepository extends JpaRepository<Work_Hours_Weekly,Integer> {
 }
Index: src/main/java/com/example/moviezone/repository/WorkerRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/WorkerRepository.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/repository/WorkerRepository.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -1,4 +1,7 @@
 package com.example.moviezone.repository;
 
-public class WorkerRepository {
+import com.example.moviezone.model.Worker;
+import org.springframework.data.jpa.repository.JpaRepository;
+
+public interface WorkerRepository extends JpaRepository<Worker,Integer> {
 }
Index: src/main/java/com/example/moviezone/service/Impl/CinemaServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/CinemaServiceImpl.java	(revision 11dea8f184e5a17089db9f660e373cfe3ace6f1a)
+++ src/main/java/com/example/moviezone/service/Impl/CinemaServiceImpl.java	(revision f60cb207304c831e7f3692976606c60942e28dd8)
@@ -2,4 +2,5 @@
 
 import com.example.moviezone.model.Cinema;
+import com.example.moviezone.repository.CinemaRepository;
 import com.example.moviezone.service.CinemaService;
 import org.springframework.stereotype.Service;
@@ -9,4 +10,10 @@
 @Service
 public class CinemaServiceImpl implements CinemaService {
+    private final CinemaRepository cinemaRepository;
+
+    public CinemaServiceImpl(CinemaRepository cinemaRepository) {
+        this.cinemaRepository = cinemaRepository;
+    }
+
     @Override
     public List<Cinema> findAllCinemas() {
